/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import "bytebufferiterator.h"

@implementation ByteBufferIterator

- (id) init
{
	if ( self = [super init] )
	{
		[buffer setBufferLength:0];
		current = 0;
	}
	return self;
}

- (void) setBuffer:(ByteBuffer*)b
{
	buffer = b;
}

- (void)first
{
	current = 0;
}

- (void)next
{
	current++;
}

-(BOOL)isDone
{
	return current >= [buffer count];
}

- (id)currentItem
{
	if ( [self isDone] )
		return nil;
	return [buffer get:current];
}
@end
