/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import "fbbase.h"

@implementation FrameBufferBase

@synthesize _buffer;

- (void) dealloc
{
	[_buffer release];
	[super dealloc];
}

- (void) setBufferLength:(int) l
{
	[_buffer setBufferLength:l];
}

- (unsigned long int)count
{
	return [_buffer count];
}

- (Buffer *)read
{
	Buffer *rb = [[Buffer alloc] init];
	[rb setBufferLength:[_buffer count]];

	[rb readin:_buffer];
	return rb;
}

- (void)write:(Buffer*)b
{
	[_buffer writeout:b];
}
@end
