/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import <Object.h>

#import "types.h"

@interface Buffer : Object
{
	unsigned long int length;
	void *buffer;
}

- (id) init;
- (void) dealloc;
- (void) setBufferLength:(int)l;

- (id) get:(unsigned long int)index;

- (uint8*)buffer;
- (unsigned long int)count;

- (void)readin:(Buffer*)b;
- (void)writeout:(Buffer*)b;
@end
