/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import "bytebuffer.h"

@implementation ByteBuffer

- (id) init
{
	if ( self = [super init] )
	{
		[self setBufferLength:DEFAULT_BUFFER_CAPACITY(32)];
	}
	return self;
}

- (void) dealloc
{
	[super dealloc];
}

- (void) setBufferLength:(int) l
{
	length = l;
}

- (uint8)get:(unsigned long int)index
{
	return (_buffer[index]);
}

- (void) put:(uint8)c atIndex:(unsigned long int)index
{
	*(_buffer+index) = c;
}

- (uint8*)buffer
{
	return _buffer;
}

- (unsigned long int)count
{
	return length;
}

@end
