/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import "buffer.h" 

typedef char uint8;

@interface FrameBufferBase : Object
{
	Buffer *_buffer;
}

@property (retain) Buffer* _buffer;

- (void) dealloc;
- (void) setBufferLength:(int)l;

- (unsigned long int)count;

- (Buffer *)read;
- (void)write:(Buffer*)b;
@end
