/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import <Object.h>

#import "image.h"
#import "resource.h"
#import "types.h"

@interface ImageResource : Resource 
{
	Image *_image;
}

@property (retain) Image* _image;

- (id) init;
- (void) dealloc;
- (void) image:(Image*)image;

- (void)position:(Tuple*)pos;

@end
