/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import <Object.h>

#import "vertex3.h"

@interface Matrix3 : Object
{
	float x1, y1, z1, x2, y2, z2, x3, y3, z3;	
}

- (float)x1;
- (float)y1;
- (float)z1;
- (float)x2;
- (float)y2;
- (float)z2;
- (float)x3;
- (float)y3;
- (float)z3;

- (id) x1:(float)x;
- (id) y1:(float)y;
- (id) z1:(float)z;
- (id) x2:(float)x;
- (id) y2:(float)y;
- (id) z2:(float)z;
- (id) x3:(float)x;
- (id) y3:(float)y;
- (id) z3:(float)z;

- (Vertex3*)mulitplyByVertex:(Vertex3*)v;
- (Matrix3*)mulitplyByMatrix:(Matrix3*)m;

@end
