/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import "matrix3.h" 

@implementation Matrix3 

- (id) init
{
	if ( self = [super init] )
	{
	}
	return self;
}

- (float)x1
{
	return x1;
}

- (float)y1
{
	return y1;
}

- (float)z1
{
	return z1;
}

- (float)x2
{
	return x2;
}

- (float)y2
{
	return y2;
}

- (float)z2
{
	return z2;
}

- (float)x3
{
	return x3;
}

- (float)y3
{
	return y3;
}

- (float)z3
{
	return z3;
}

- (id) x1:(float)x
{
	x1 = x; 
	return self;
}
	
- (id) y1:(float)y
{
	y1 = y; 
	return self;
}
	
- (id) z1:(float)z
{
	z1 = z; 
	return self;
}

- (id) x2:(float)x
{
	x2 = x; 
	return self;
}
	
- (id) y2:(float)y
{
	y2 = y; 
	return self;
}
	
- (id) z2:(float)z
{
	z2 = z; 
	return self;
}

- (id) x3:(float)x
{
	x3 = x; 
	return self;
}
	
- (id) y3:(float)y
{
	y3 = y; 
	return self;
}
	
- (id) z3:(float)z
{
	z3 = z; 
	return self;
}

- (Vertex3*)mulitplyByVertex:(Vertex3*)v
{
	Vertex3 *rv = [[Vertex3 alloc] init];
	[[[rv x:[v x] * [self x1] + [v y] * [self x2] + [v z] * [self x3]]
	    y:[v x] * [self y1] + [v y] * [self y2] + [v z] * [self y3]]
	    z:[v x] * [self z1] + [v y] * [self z2] + [v z] * [self z3]];
	return rv;
}
		
- (Matrix3*)mulitplyByMatrix:(Matrix3*)m
{
	Vertex3 *rm = [[Vertex3 alloc] init];
/***FIXME	[[[rm x1:[m x1] * [self x1] + [m y1] * [self x2] + [m z1] * [self x3]]
	      x2:[m x2] * [self x1] + [m y2] * [self x2] + [m z2] * [self x3]]
	      x3:[m x3] * [self x1] + [m y3] * [self x2] + [m z3] * [self x3]]
	      y1:[m x3] * [self x1] + [m y3] * [self x2] + [m z3] * [self x3]]
****/
	return rm;
}
		
@end
